Page MenuHomePhabricator

Refactor maps puppet code to the role / profile paradigm
Closed, ResolvedPublic

Description

We have a number of changes / improvements / cleanup coming up to allow deployment of vector based tiles and new style for maps. Doing some cleanup to our puppet code and aligning it to the role / profile paradigm will make those changes easier to apply.

Details

Related Gerrit Patches:

Event Timeline

Gehel created this task.Jun 14 2017, 12:20 PM
Restricted Application added a project: Discovery. · View Herald TranscriptJun 14 2017, 12:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Gehel triaged this task as High priority.Jun 14 2017, 12:20 PM
Gehel moved this task from Backlog to In progress on the Maps-Sprint board.

Change 347006 had a related patch set uploaded (by Gehel; owner: Guillaume Lederrey):
[operations/puppet@production] maps - move to role / profile

https://gerrit.wikimedia.org/r/347006

During this refactoring, we want to reuse the standard profile::redis::master. This does not allow anonymous access to redis (which is a good thing!), but at the moment, maps uses anonymous access. I need to check if tilerator has a way to configure credentials for redis...

Change 358950 had a related patch set uploaded (by Gehel; owner: Gehel):
[labs/private@master] maps - add dummy redis password for tilerator / tileratorui

https://gerrit.wikimedia.org/r/358950

Change 358950 merged by Gehel:
[labs/private@master] maps - add dummy redis password for tilerator / tileratorui

https://gerrit.wikimedia.org/r/358950

Change 347006 merged by Gehel:
[operations/puppet@production] maps - move to role / profile

https://gerrit.wikimedia.org/r/347006

Change 360615 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] maps - storage ID for maps-test is v5

https://gerrit.wikimedia.org/r/360615

Change 360615 merged by Gehel:
[operations/puppet@production] maps - storage ID for maps-test is v5

https://gerrit.wikimedia.org/r/360615

Change 360620 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] maps / icinga - add the maps-test_codfw monitoring group

https://gerrit.wikimedia.org/r/360620

Change 360620 merged by Alexandros Kosiaris:
[operations/puppet@production] maps / icinga - add the maps-test_codfw monitoring group

https://gerrit.wikimedia.org/r/360620

Mentioned in SAL (#wikimedia-operations) [2017-06-21T12:32:44Z] <gehel> deploying T167871 and restarting kartotherian / tilerator on maps eqiad

Gehel moved this task from In progress to Done on the Maps-Sprint board.Jun 21 2017, 1:10 PM
debt closed this task as Resolved.Jun 22 2017, 7:03 PM